Bug 1665541 (python-resumable-urlretrieve) - Review Request: python-resumable-urlretrieve - This is a drop-in replacement for urllib.request.urlretrieve
Summary: Review Request: python-resumable-urlretrieve - This is a drop-in replacement ...
Keywords:
Status: CLOSED ERRATA
Alias: python-resumable-urlretrieve
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-rangehttpserver
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-01-11 17:01 UTC by Luis Bazan
Modified: 2019-04-08 00:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 02:26:29 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Luis Bazan 2019-01-11 17:01:08 UTC
Spec URL: https://lbazan.fedorapeople.org/python-resumable-urlretrieve.spec
SRPM URL: https://lbazan.fedorapeople.org/python-resumable-urlretrieve-0.1.6-1.fc29.src.rpm

Description:
This is a drop-in replacement for urllib.request.urlretrieve that will 
automatically resume a partially-downloaded file (if the remote HTTP 
server supports Range requests).

Fedora Account System Username: lbazan

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-01-11 17:56:42 UTC
Grammar:
> Small library to fetch files over HTTP and resuming their download
Something is wrong with that sentence.

> # Remove bundled egg-info
> rm -rf %{pypi_name}.egg-info

No need to do that. It's "binary eggs" that have to be removed, not egg-info.

Why no %check?

Looks OK, the lack of %check is the only thing to fix / comment upon.

Comment 2 Luis Bazan 2019-01-11 18:31:37 UTC
Thanks Zbigniew

- check fixed
- grammar fixed
- bundled egg fixed

Cheers,

Comment 4 Zbigniew Jędrzejewski-Szmek 2019-01-12 14:44:08 UTC
Please post an updated spec file with the dependency on rangehttpserver. No need to wait for the other review to be finished to continue this one.

Comment 5 Luis Bazan 2019-01-14 14:39:06 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> Please post an updated spec file with the dependency on rangehttpserver. No
> need to wait for the other review to be finished to continue this one.

the spec in  the comment3 have the dependency.

Cheers,

Comment 7 Ankur Sinha (FranciscoD) 2019-01-14 19:58:58 UTC
I've taken this on. Cannot test the build yet until the BR is packaged.

Comment 9 Ankur Sinha (FranciscoD) 2019-03-20 19:36:28 UTC
Here's the review!

Looks pretty good! One or two minor issues that you can correct before the import

XXX APPROVED XXX

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/python-resumable-urlretrieve
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names

Not an issue. This is a re-review to take up the orphaned package.

- Correct license field
- Add %{desc} in sub package description
- Please use automatic requirements generator: the setup.py has the correct
  requirements. You can remove the Requires: .. (requests).. line then.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
License is in the Readme. I wonder if that should be put in the %license? Not
seen a case like this before.

[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Expat License". 10
     files have unknown license. Detailed output of licensecheck in
     /home/asinha/dump/fedora-reviews/1665541-python-resumable-
     urlretrieve/licensecheck.txt
Should be just "MIT", not "MIT license" (rpmlint points this out too).

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
The license is in the README

[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
Not checked

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-resumable-urlretrieve-0.1.6-2.fc31.noarch.rpm
          python-resumable-urlretrieve-0.1.6-2.fc31.src.rpm
python3-resumable-urlretrieve.noarch: E: no-description-tag


^
The tag is there, but you've forgotten to write %{desc} there ;)

python3-resumable-urlretrieve.noarch: W: invalid-license MIT License
python-resumable-urlretrieve.src: W: invalid-license MIT License

^^
Easy fix: "MIT License" -> "MIT"

2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
python3-resumable-urlretrieve.noarch: E: no-description-tag
python3-resumable-urlretrieve.noarch: W: invalid-license MIT License
python3-resumable-urlretrieve.noarch: W: invalid-url URL: https://github.com/berdario/resumable-urlretrieve <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 1 errors, 2 warnings.



Source checksums
----------------
https://github.com/berdario/resumable-urlretrieve/archive/0.1.6/resumable-urlretrieve-0.1.6.tar.gz :
  CHECKSUM(SHA256) this package     : a7c390b826e8bd76611a39b6f0e8af73c55871767c674fcd8373a25b2bcdd1c2
  CHECKSUM(SHA256) upstream package : a7c390b826e8bd76611a39b6f0e8af73c55871767c674fcd8373a25b2bcdd1c2


Requires
--------
python3-resumable-urlretrieve (rpmlib, GLIBC filtered):
    python(abi)
    python3.7dist(requests)
    python3dist(requests)



Provides
--------
python3-resumable-urlretrieve:
    python3-resumable-urlretrieve
    python3.7dist(resumable-urlretrieve)
    python3dist(resumable-urlretrieve)



Generated by fedora-review 0.7.0 (dfc9dd8) last change: 2019-03-17
Command line :/usr/bin/fedora-review -b 1665541 --mock-config fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: Perl, SugarActivity, Java, Haskell, Ocaml, R, PHP, fonts, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 10 Fedora Update System 2019-03-27 01:06:06 UTC
python-resumable-urlretrieve-0.1.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-902471e938

Comment 11 Fedora Update System 2019-03-27 01:06:15 UTC
python-resumable-urlretrieve-0.1.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1c08964576

Comment 12 Fedora Update System 2019-03-27 04:12:03 UTC
python-resumable-urlretrieve-0.1.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1c08964576

Comment 13 Fedora Update System 2019-03-27 04:35:03 UTC
python-resumable-urlretrieve-0.1.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-902471e938

Comment 14 Fedora Update System 2019-04-03 13:56:26 UTC
python-resumable-urlretrieve-0.1.6-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-46fef0374a

Comment 15 Fedora Update System 2019-04-04 01:59:38 UTC
python-resumable-urlretrieve-0.1.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-46fef0374a

Comment 16 Fedora Update System 2019-04-04 02:26:29 UTC
python-resumable-urlretrieve-0.1.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-04-04 03:11:15 UTC
python-resumable-urlretrieve-0.1.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-04-08 00:01:16 UTC
python-resumable-urlretrieve-0.1.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.